Bug 648735 (CVE-2010-4020) - CVE-2010-4020 krb5: krb5 may accept authdata checksums with low-entropy derived keys (MITKRB5-SA-2010-007)
Summary: CVE-2010-4020 krb5: krb5 may accept authdata checksums with low-entropy deriv...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-4020
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 651962 651963
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-02 00:07 UTC by Vincent Danen
Modified: 2019-09-29 12:40 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-11-05 16:57:50 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0925 normal SHIPPED_LIVE Important: krb5 security and bug fix update 2010-11-30 22:43:45 UTC

Description Vincent Danen 2010-11-02 00:07:52 UTC
A vulnerability where applications using the MIT krb5 GSS-API library was discovered, that might allow applications using the MIT krb5 GSS-API library to accept authdata checksums with low-entropy derived keys.

An authenticated remote attacker that controls a legitimate service principal has a 1/256 chance of forging the AD-SIGNEDPATH signature if the TGT key is RC4, allowing it to use self-generated "evidence" tickets for S4U2Proxy, instead of tickets obtained from the user or with S4U2Self. Configurations using RC4 for the TGT key are believed to be rare.

An authenticated remote attacker has a 1/256 chance of forging AD-KDC-ISSUED signatures on authdata elements in tickets having an RC4 service key, resulting in privilege escalation against a service that relies on these signatures. There are no known uses of the KDC-ISSUED authdata container at this time.

This flaw affects MIT krb5 version 1.8 and newer.  However, in environments exclusively using KDCs from 1.8 and newer, the KDC discards client-provided AD-KDC-ISSUED authdata and are not vulnerable to this issue.

A patch to correct this flaw, as well the other flaws noted in MITKRB5-SA-2010-007 are available from http://web.mit.edu/kerberos/advisories/2010-007-patch.txt.

This issue is known as CVE-2010-4020.  The upstream announcement is available at http://web.mit.edu/kerberos/advisories/MITKRB5-SA-2010-007.txt.


Acknowledgements:

Red Hat would like to thank the MIT Kerberos Team for reporting this issue.

Comment 4 errata-xmlrpc 2010-11-30 22:43:56 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2010:0925 https://rhn.redhat.com/errata/RHSA-2010-0925.html

Comment 5 Vincent Danen 2013-11-05 16:57:50 UTC
Statement:

This issue did not affect the versions of krb5 as shipped with Red Hat Enterprise Linux 3, 4 and 5.


Note You need to log in before you can comment on or make changes to this bug.